GuideLab Docs

Save the lab data shared by compliance documents

PUT
/compliance/profile

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/compliance/profile" \  -H "Content-Type: application/json" \  -d '{    "profile": {      "version": 1,      "legalRepresentative": {        "name": "string",        "role": "string"      },      "prrc": {        "name": "string",        "qualification": "string",        "deputyName": "string"      },      "registrationNumber": "string",      "technicalManager": {        "name": "string"      },      "vigilanceCorrespondent": {        "name": "string"      },      "managementRepresentative": {        "name": "string"      },      "dpo": {        "name": "string"      },      "chemicalsContact": {        "name": "string"      },      "documentLanguage": "en",      "outsourcedSites": [        {          "name": "string",          "address": "string"        }      ],      "disinfection": {        "taskIds": [          "string"        ],        "product": "string"      }    }  }'
{  "ok": true}